import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程
    addCourse(data) {
        return request({
            url: '/course',
            method: 'post',
            data
        })
    },
    //修改课程
    editCourse(data) {
        return request({
            url: '/course/edit',
            method: 'post',
            data
        })
    },
    //查询课程列表
    inquireCourseListS(data) {
        return request({
            url: '/course/list',
            method: 'get',
            params: data
        })
    },
    //查询课程目录关联卷列表
    inquireCourseListSmenuexam(data) {
        return request({
            url: '/course/menu/exam/list',
            method: 'get',
            params: data
        })
    },
    //获取课程详细信息
    obtainCourseS(data) {
        return request({
            url: `/course/` + data,
            method: 'get',
        })
    },
    //查询商品课程关系列表
    obtainCourseSgoodsId(data) {
        return request({
            url: `/goods/course/list/` + data,
            method: 'get',
        })
    },
    //查询商品课程列表
    obtainCourseGoodsList(data) {
        return request({
            url: `/goods/course/getList`,
            method: 'get',
            params: data
        })
    },
    //查询商品双师资模板列表
    inquireCourseTeacherList(data) {
        return request({
            url: `/goods/course/teacher/list`,
            method: 'get',
            params: data
        })
    },
    //新增商品双师资模板
    addCourseTeacherList(data) {
        return request({
            url: `/goods/course/teacher`,
            method: 'post',
            data
        })
    },
    //修改商品双师资模板
    editCourseTeacherList(data) {
        return request({
            url: `/goods/course/teacher/edit`,
            method: 'post',
            data
        })
    },
    //课程统计报表
    inquireCoursestatement(data) {
        return request({
            url: '/course/statement',
            method: 'get',
            params: data
        })
    },
    //课程详情统计
    inquireCoursedetailstatistics(data) {
        return request({
            url: '/course/detail/statistics',
            method: 'get',
            params: data
        })
    },
    //学员观看记录
    inquireCourseuserwatch(data) {
        return request({
            url: '/course/user/watch',
            method: 'get',
            params: data
        })
    },
    //课程维度导出
    inquireCoursestatementexport(data) {
        return request({
            url: '/course/statement/export',
            method: 'get',
            params: data
        })
    },
    //课程学员详情导出
    inquireCoursestatementstatisticsexport(data) {
        return request({
            url: '/course/detail/statistics/export',
            method: 'get',
            params: data
        })
    },
}